
# **************************** printsource *****************************
proc printsource {} {
	rename source source0
	proc source {args} {
		puts "Source: $args"
		source0 $args
	}	
}
# **************************** showwidgetnameswithmouse ****************
proc showwidgetnameswithmouse {} {
    bind all <Double-Button-1> {
	set packinfo [pack info %W]
	set info [%W configure]
	set len [llength $info]
	set infostring ""
	for {set i 0} {$i < $len} {incr i} {
	    set infostring "$infostring\n[lindex $info $i]"
	}
	APSInfoWindow .contextHelp -name "Widget Information" \
	  -infoMessage \
	  "[winfo parent %W].[winfo name %W]\n\n$packinfo\n\n$infostring"
    }
}
